import React,{useState} from 'react';
import ReactDOM from 'react-dom';

// import { csv, scaleBand, scaleLinear, max } from 'd3';

import { useData } from './useData'
import { Map } from './Map'
const width = window.innerWidth;
const height = window.innerHeight;
console.log(width,height)
const renderedMap = (boundaries,area) =>{
  if(area === 'india')
  	return boundaries.state.features;
  else{
  	 return boundaries.dist.features.filter(d => d.properties.NAME2_ === area);
  }
}


const App = () => {
  const iniArea = 'india';
	const [area,setArea] = useState(iniArea);
  const [selData,setSelData] = useState();
  
  const boundaries = useData(area);
  if(!boundaries){
  	return <pre>Loading...</pre>
  }
  let renderMap = renderedMap(boundaries,area);
  
  return (
    	<Map data={renderMap} width={width} height={height} onMapClick={setArea}/>
  );
};
const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);
